Activate License
curl --request POST \
--url https://sandboxapi.kelviq.com/api/v1/license/activate/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"licenseKey": "LIC-A8D5F89E-B46B-472C-9BED-66EE2545B85E",
"customerId": "cfa95cf8c8d24e8b9d3d2d1ada98a94d",
"instanceName": "Geo's Workstation",
"metadata": {
"os": "macOS",
"version": "14.2"
}
}
EOFimport requests
url = "https://sandboxapi.kelviq.com/api/v1/license/activate/"
payload = {
"licenseKey": "LIC-A8D5F89E-B46B-472C-9BED-66EE2545B85E",
"customerId": "cfa95cf8c8d24e8b9d3d2d1ada98a94d",
"instanceName": "Geo's Workstation",
"metadata": {
"os": "macOS",
"version": "14.2"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
licenseKey: 'LIC-A8D5F89E-B46B-472C-9BED-66EE2545B85E',
customerId: 'cfa95cf8c8d24e8b9d3d2d1ada98a94d',
instanceName: 'Geo\'s Workstation',
metadata: {os: 'macOS', version: '14.2'}
})
};
fetch('https://sandboxapi.kelviq.com/api/v1/license/activate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instanceId": "8f3e2b1a-5c6d-4e9f-8a0b-1c2d3e4f5g6h",
"activatedAt": "2026-01-27T10:33:00Z",
"expiresOn": "2026-01-28T10:33:00Z",
"license": {
"id": "7be7a5b6-7a0e-4178-a085-8ef48f0649ab",
"licenseKey": "LIC-A8D5F89E-B46B-472C-9BED-66EE2545B85E",
"activatedOn": "2026-01-22T03:26:56Z",
"expiresOn": "2026-01-23T03:26:56Z",
"activationUsage": 1,
"activationLimit": 4,
"enabled": true,
"customer": {
"customerId": "cfa95cf8c8d24e8b9d3d2d1ada98a94d",
"name": "Geo",
"email": "geo@kelviq.com"
},
"plan": {
"identifier": "pro-yearly",
"name": "Pro Yearly",
"product": {
"id": "d970ab2d-834f-4c52-8742-2e6ed7e8a31f",
"identifier": "kelviq-engine",
"name": "Kelviq Engine",
"taxCode": "software"
}
},
"subscription": {
"id": "09d706ca-58f3-4fb2-818f-5b8623d67e6e",
"recurrence": "1 month",
"billingPeriodStartTime": "2026-01-22T03:26:56Z",
"billingPeriodEndTime": "2026-02-22T03:26:56Z",
"startDate": "2026-01-22",
"endDate": null,
"status": "active",
"amount": "49.00",
"currency": "usd",
"trialDaysRemaining": 0,
"billingType": "SUBSCRIPTION",
"recurrenceUnit": 1,
"recurrenceType": "MONTH"
}
}
}
License
Activate License
Activates a license key for a specific instance.
POST
/
license
/
activate
/
Activate License
Click the base URL in the API playground and select the Sandbox host for test data or the Production host for live data. Use credentials from the same environment.
Authorizations
The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'
Body
application/json
⌘I